aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2010-09-16 00:08:37 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2010-09-21 08:31:17 +0000
commit5a1d746160d9bc5c85b28d192508ca814d809dbf (patch)
tree57dd66e3d4f7f3eb6b7e6f3780cb36b36617680e /main
parent9c5b4ab7b0aa610edd3bf57102b7b4171898182a (diff)
downloadaports-5a1d746160d9bc5c85b28d192508ca814d809dbf.tar.gz
aports-5a1d746160d9bc5c85b28d192508ca814d809dbf.tar.bz2
aports-5a1d746160d9bc5c85b28d192508ca814d809dbf.tar.xz
main/rtmpdump: new apkbuild
(cherry picked from commit caed53797e690efe25d9e33d04cc3ae41e6af5cf)
Diffstat (limited to 'main')
-rw-r--r--main/rtmpdump/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/main/rtmpdump/APKBUILD b/main/rtmpdump/APKBUILD
new file mode 100644
index 0000000000..df85587283
--- /dev/null
+++ b/main/rtmpdump/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Carlo Landmetere
+# Maintainer:
+pkgname=rtmpdump
+pkgver=2.3
+pkgrel=0
+pkgdesc="A tool to download rtmp:// and rtmpe:// streams"
+url="http://rtmpdump.mplayerhq.hu/"
+license="GPL"
+depends=
+makedepends="openssl-dev"
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://mirrors.kernel.org/gentoo/distfiles/$pkgname-$pkgver.tgz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ sed -i 's/^install_so.0:.*/& install_base/' librtmp/Makefile
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make prefix=/usr MANDIR="$pkgdir/usr/share/man" DESTDIR="$pkgdir" install
+
+}
+
+md5sums="eb961f31cd55f0acf5aad1a7b900ef59 rtmpdump-2.3.tgz"